org.keycloak.protocol.saml

## Class SAMLRequestParser

- java.lang.Object
- - org.keycloak.protocol.saml.SAMLRequestParser

-     public class SAMLRequestParser
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLRequestParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `parseRequestPostBinding(String samlMessage)`
    `static org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `parseRequestRedirectBinding(String samlMessage)`
    `static org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `parseResponsePostBinding(String samlMessage)`
    `static org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `parseResponseRedirectBinding(String samlMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLRequestParser

          public SAMLRequestParser()

  - ### Method Detail

    - #### parseRequestRedirectBinding

          public static org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder parseRequestRedirectBinding(String samlMessage)

    - #### parseRequestPostBinding

          public static org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder parseRequestPostBinding(String samlMessage)

    - #### parseResponsePostBinding

          public static org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder parseResponsePostBinding(String samlMessage)

    - #### parseResponseRedirectBinding

          public static org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder parseResponseRedirectBinding(String samlMessage)

Copyright © 2015. All rights reserved.